Trigger a voice evaluation run
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/agents/voice-eval/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"golden_set_id": "vevg_golden_set_001",
"agent_id": "ag_agent_001",
"trigger_source": "dashboard",
"llm_model": "<string>",
"stt_provider": "<string>",
"tts_provider": "<string>"
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/agents/voice-eval/runs"
payload = {
"golden_set_id": "vevg_golden_set_001",
"agent_id": "ag_agent_001",
"trigger_source": "dashboard",
"llm_model": "<string>",
"stt_provider": "<string>",
"tts_provider": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
golden_set_id: 'vevg_golden_set_001',
agent_id: 'ag_agent_001',
trigger_source: 'dashboard',
llm_model: '<string>',
stt_provider: '<string>',
tts_provider: '<string>'
})
};
fetch('https://api.orbit.devotel.io/api/v1/agents/voice-eval/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"run_id": "vevr_run_001",
"cases_total": 5,
"cases_passed": 4,
"cases_failed": 1,
"avg_latency_ms": 1200.5,
"p95_latency_ms": 1850,
"p99_latency_ms": 1950,
"is_simulated": true,
"simulated_legs": [
"<string>"
],
"simulation_notice": "<string>"
}
}API Reference
Trigger a voice evaluation run
Start an evaluation run to assess agent performance against test cases in a golden set. Triggers asynchronous evaluation with the specified agent (or golden set default), LLM model, and STT/TTS providers. Use this to benchmark agent quality, detect regressions, and capture latency metrics.
POST
/
api
/
v1
/
agents
/
voice-eval
/
runs
Trigger a voice evaluation run
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Body
application/json
Response
201 - application/json
Evaluation run started successfully
Show child attributes
Show child attributes
⌘I